> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend verification codes

## Overview

If, during onboarding, the verification codes do not arrive, or are lost, the client can request the codes to be resent. To do this, the client needs to provide the token generated during account creation, as well as the eMail or phone number whose code they wish to resend.

Security Notice: It is not possible to resend codes for accounts, numbers or email addresses that have been verified. You can only resend codes for accounts still pending verification. This includes partially verified accounts. If the phone number has been verified, but the email address has not, or vice versa, you can resend the code for the unverified part, but not for the verified part. Attempting to resend codes that have been verified, will be flagged, and repetetive calls to resend codes for verified accounts, numbers or addresses may result in the temporary and then permanent blocking of the endpoint making the call.

## HTTP request

`POST /Agent/Account/ResendVerificationCodes`

## Authentication

No authentication required.

## Request (JSON)

```json theme={null}
{
	"eMail":Required(Str(PEMail)),
	"phoneNr":Optional(Str(PPhoneNr)),
	"language":Optional(Str(PLanguage))
}
```

## Input parameters

| Parameter | Description                                                                    |
| --------- | ------------------------------------------------------------------------------ |
| PEMail    | email address of the user.                                                     |
| PPhoneNr  | Optional Phone number of the user.                                             |
| PLanguage | Optional language ISO-code of preferred localization of verification messages. |

## Response (JSON)

```json theme={null}
{
}
```

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
